org.apache.hadoop.mapreduce.v2.api.protocolrecords

## Interface RenewDelegationTokenResponse

- All Known Implementing Classes:
    RenewDelegationTokenResponsePBImpl

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface RenewDelegationTokenResponse

  The response to a renewDelegationToken call to the `ResourceManager`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getNextExpirationTime()`
    `void` | `setNextExpirationTime(long expTime)`

- - ### Method Detail

    - #### getNextExpirationTime

          long getNextExpirationTime()

    - #### setNextExpirationTime

          void setNextExpirationTime(long expTime)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.